> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy lịch sử hoạt động IR của 1 mã chứng khoán



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /ir/historical-statistics/{symbol}
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /ir/historical-statistics/{symbol}:
    get:
      tags:
        - IR
      summary: Lấy lịch sử hoạt động IR của 1 mã chứng khoán
      operationId: IR_GetHistoricalIRContractStatistics
      parameters:
        - name: symbol
          in: path
          description: Mã chứng khoán
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
          required: false
          schema:
            format: int32
            type: integer
        - name: periodType
          in: query
          description: >-
            Khoảng thời gian (Day: Ngày, Week: Tuần, Month: Tháng, mặc định là
            Day)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.InvestorRelations.IRContractHistoricalStatistics
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.InvestorRelations.IRContractHistoricalStatistics
        '400':
          description: Có lỗi khi thực hiện thao tác
      security:
        - oauth2:
            - user-data-read
components:
  schemas:
    FireAnt.Api.Models.InvestorRelations.IRContractHistoricalStatistics:
      description: Represents historical statistics of an investor relations contract.
      type: object
      properties:
        symbol:
          description: Gets or sets the symbol associated with the contract.
          type: string
        lastUpdated:
          format: date-time
          description: >-
            Gets or sets the date and time when the statistics were last
            updated.
          type: string
        statistics:
          description: Gets or sets the statistical data related to the contract.
          type: object
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.